Honeycomb
probe SLO

# slo_has_enough_remaining_budget

Verifies that an SLO has enough error budget left

Run it now
View details

Type | probe
Module | chaoshoneycomb.slo.probes
Name | slo_has_enough_remaining_budget
Return | boolean

Usage

JSON

    {
      "name": "slo-has-enough-remaining-budget",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoshoneycomb.slo.probes",
        "func": "slo_has_enough_remaining_budget",
        "arguments": {
          "dataset_slug": "",
          "slo_id": ""
        }
      }
    }

YAML

    name: slo-has-enough-remaining-budget
    provider:
      arguments:
        dataset_slug: ''
        slo_id: ''
      func: slo_has_enough_remaining_budget
      module: chaoshoneycomb.slo.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dataset_slug | string |  | Yes | Dataset | Dataset slug
slo_id | string |  | Yes | SLO Identifier |
min_budget | float | 1.0 | No | Remaining Budget | A number representing how much budget left should exist still

Signature

    def slo_has_enough_remaining_budget(
            dataset_slug: str,
            slo_id: str,
            min_budget: float = 1.0,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- Honeycomb
  probe SLO

  ## `get_slo`

  Retrieve the current state of an SLO
- Honeycomb
  probe SLO

  ## `list_burn_alerts`

  List all burn alerts for a SLO
- Honeycomb
  action Marker

  ## `add_marker`

  Add a marker